Subject: [sup-talk] [PATCH] Fix for imap based sources

From: [email-masked] (Marcus Williams)
Date: Thu, 25 Oct 2007 13:35:23 +0100

On 25/10/2007 I wrote:
> It also fixes what I think is a bug in the imap sup source - the imap
> "/Seen" flag means a message has been read from the way I interpret the
> RFC, the "/Recent" flag is what you need to check for "unreadness".

... which means I should probably be using it in the imap marked_read?
as well. So the marked_read? method in imap.rb should probably be:

  def marked_read? id
    return @imap_state[id][:flags].include?(:Seen)
  end

Note that I've removed the leading ! operator as well.

Marcus